Arch Bewehrungsstab spiralförmig

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Rebar Helical and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский

Arch Rebar Helical.svg Arch Bewehrungsstab spiralförmig

Menüeintrag
Arch → Rebar tools → Spiralförmige Bewehrung oder 3D/BIM → Verstärkung → Spiralförmige Bewehrung
Arbeitsbereich
Arch, BIM
Standardtastenkürzel
Keiner
Eingeführt in Version
0.17
Siehe auch
Reinforcement, Arch Bewehrung, bügelförmiger Bewehrungsstab,Arch Stützenverstärkung

Beschreibung

Das spiralförmiger Bewehrungsstab-Werkzeug erlaubt es dem Anwender, einen fortlaufenden spiralförmigen Bewehrungsstab in einem Struktur-Objekt zu erstellen.

Das Arch Spiralförmiger Bewehrungsstab-Werkzeug ist auch im BIM-Arbeitsbereich integriert.

Dieser Befehl ist Teil des Reinforcement-Arbeitsbereichs, eines externen Arbeitsbereichs, der mit dem AddonManager.svg Addon-Manager über das Menü Werkzeuge → Addon-Manager → Reinforcement installiert werden kann.

Arch Rebar Helical example.png

Ein fortlaufender spiralförmiger Bewehrungsstab in einer Struktur

Anwendung

  1. Wähle eine beliebige Fläche eines vorher erstellten Arch Structure.svg Struktur-Objekts.
  2. Wähle dann Arch Rebar Helical.svg Spiralförmiger Bewehrungsstab aus den Bewehrungsstab-Werkzeugen.
  3. Ein Aufgaben-Paneel wird auf der linken Seite des Bildschirm angezeigt wie im folgenden Bild dargestellt.
  4. Wähle die gewünschte Ausrichtung.
  5. Fülle die Werte wie 'Left Cover' (linke Fläche), 'Right Cover' (rechte), 'Top Cover' (obere), 'Bottom Cover' (untere), 'Front Cover' (vordere), 'Anchor length' (Ankerlänge), 'Bent Angle' (Biegungswinkel), 'Bent Factor', 'Rounding' und 'Diameter' (Durchmesser) des Bewehrungsstabes.
  6. Wähle den Verteilungsmodus, entweder 'Amount' (Menge) oder 'Spacing' (Abstand).
  7. Falls 'Spacing' gewählt wurde, kann auch benutzerdefinierter Abstand gewählt werden.
  8. Wähle Pick selected face zur Überprüfung oder ändere die Fläche zur Verteilung der Bewehrungsstäbe.
  9. Klicke OK oder Anwenden zur Erzeugung der Bewehrungsstäbe.
  10. Klicke Abbrechen zum Verlassen des Aufgaben-Paneels.
HelicalRebarDialog.png

Aufgaben-Ansicht für das Arch Bewehrungsstab spiralförmig-Werkzeug

Eigenschaften

  • Daten-EigenschaftSide Cover: Der Abstand zwischen dem Bewehrungsstab und der gekrümmten Fläche.
  • Daten-EigenschaftTop Cover: Der Abstand zwischen dem Bewehrungsstab und der oberen Fläche der Struktur.
  • Daten-EigenschaftBottom Cover: Der Abstand zwischen dem Bewehrungsstab und der unteren Fläche der Struktur.
  • Daten-EigenschaftPitch: Die Höhe einer vollständigen Helixumdrehung, gemessen parallel zu den Achsen der Helix.
  • Daten-EigenschaftDiameter: Durchmesser des Bewehrungsstabs.

Scripting

Siehe auch: Arch API,Reinforcement-API und FreeCAD Scripting Basics.

Das Spiralförmiger Bewehrungsstab-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Erstellt ein Rebar-Objekt aus der gegebenen structure, die eine Arch Struktur ist, und facename, die eine Fläche dieser Struktur ist.
    • Falls weder structure noch facename gegeben sind, wird die vom Benutzer gewählte Fläche als Eingabe genommen.
  • s_cover, b_cover und t_cover sind innere Abstände von den Bewehrungsstabelementen zu den Flächen der Struktur. Dies sind entsprechend die seitlichen, unteren und oberen Abstände.
  • diameter ist der Durchmesser der Verstärkungsstäbe innerhalb der Struktur.
  • pitch ist der Parameter, der festlegt, wie groß der Abstand der Windungen von einander ist.

Beispiel

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Anpassung des Bewehrungsstabs

Die Eigenschaften des Bewehrungsstabs lassen sich mit der folgenden Funktion verändern

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar ist ein vorher erzeugtes HelicalRebar-Objekt.
  • Die anderen Parameter sind die gleichen wie die für die makeHelicalRebar()-Funktion erforderlichen.
  • structure und facename können weggelassen werden, so dass die Bewehrung in der ursprünglichen Struktur bleibt.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)